Subject: Re: Bash quits unexpectedly in cygwin 1.1.5-7
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: Robert Bogomip <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 20 Nov 2000 13:26:07 -0500

At 01:12 PM 11/20/2000, Robert Bogomip wrote:
>On Mon, 20 Nov 2000, David Starks-Browning wrote:
>
> >
> > On Monday 20 Nov 00, Robert Bogomip writes:
> > > Doing "ls $(echo file)" causes bash to quit. Here is a quick session log:
> > >
> > >   PANG (~) $ ls
> > >   1      buff-in.rc5  macros.rec
> > >   PANG (~) $ # You can do this next line as often as you like
> > >   PANG (~) $ echo $(echo 1)
> > >   1
> > >   PANG (~) $ #..But this will kill bash on the first or second go
> > >   PANG (~) $ ls $(echo 1)
> > >
> > > This occurs for both bash 2.04-3 and 2.04-4 under cygwin 1.1.5-7. It
> > > works OK (bash doesn't quit) under cygwin 1.1.4. Hmmmm.
> >
> > On Monday 20 Nov 00, Corinna Vinschen writes:
> > >
> > > This works in the latest developer snapshot. I can't reproduce it.
> >
> > I cannot even reproduce this with bash-2.04-4 and cygwin-1.1.5-7, so
> > there must be something else going on.
> >
>
>I've just had another poke at this. So far I can only say that
>
>   $ command1 `command2`
>
>seems to be a problem where command1 is external and command2 is a
>builtin. For example,
>
>   $ ls `echo 1`
>
>or
>
>   $ diff `dirs`
>
>breaks.
>
>   $ ls `cat 1`
>
>is fine.
>
>This is definately OK on cygwin 1.1.4. It's 1.1.5-7 that seems to be the
>problem (that's on Win2000 SP1). I've played with the path, PS1 setting,
>aliases etc. etc. and nothing seems to affect it.
>-- 
>Robert Bogomip /// mailto:[email-masked]
>Milo Hedge Ltd, OCFI, Mill Street, Oxford, OX2 0JX /// tel:+44 1865 799400

I see the following whenever I use `` on the command line.

Use "logout" to leave the shell.

This is with 1.1.5-7 and bash 2.04-3.  So it seems someone is seeding a 
^D as part of this process.  Perhaps it would be helpful if you
performed these tasks with strace.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
118 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Want to unsubscribe from this list?
Send a message to [email-masked]